/**
  *  \file client/widgets/markerlist.h
  *  \brief WMarkerList widget
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_MARKERLIST_H
#define PCC_V2_CLIENT_WIDGETS_MARKERLIST_H

#include "ui/listbox.h"

/** Marker list. Displays a list of canned markers, and pretty much nothing else. */
class WMarkerList : public UIListbox {
 public:
    WMarkerList(int id);
    ~WMarkerList();
    void drawPart(GfxCanvas& can, int from, int to);
};

#endif
